Package org.kapott.hbci.sepa.jaxb.camt_052_001_01

# Class ReportEntry1

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_01.ReportEntry1

public class ReportEntry1 extends Object

Java class for ReportEntry1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ReportEntry1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}CurrencyAndAmount"/>
             <element name="CdtDbtInd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}CreditDebitCode"/>
             <element name="RvslInd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}TrueFalseIndicator" minOccurs="0"/>
             <element name="Sts" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}EntryStatus2Code"/>
             <element name="BookgDt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}DateAndDateTimeChoice" minOccurs="0"/>
             <element name="ValDt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}DateAndDateTimeChoice" minOccurs="0"/>
             <element name="AcctSvcrRef" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}Max35Text" minOccurs="0"/>
             <element name="Avlbty" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}CashBalanceAvailability1" maxOccurs="unbounded" minOccurs="0"/>
             <element name="BkTxCd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}BankTransactionCodeStructure1"/>
             <element name="ComssnWvrInd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}YesNoIndicator" minOccurs="0"/>
             <element name="AddtlInfInd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}MessageIdentification2" minOccurs="0"/>
             <element name="Btch" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}BatchInformation1" maxOccurs="unbounded" minOccurs="0"/>
             <element name="AmtDtls" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}AmountAndCurrencyExchange2" minOccurs="0"/>
             <element name="Chrgs" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}ChargesInformation3" maxOccurs="unbounded" minOccurs="0"/>
             <element name="Intrst" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}TransactionInterest1" maxOccurs="unbounded" minOccurs="0"/>
             <element name="TxDtls" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}EntryTransaction1" maxOccurs="unbounded" minOccurs="0"/>
             <element name="AddtlNtryInf" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}Max500Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`acctSvcrRef`
`protected MessageIdentification2`
`addtlInfInd`
`protected String`
`addtlNtryInf`
`protected CurrencyAndAmount`
`amt`
`protected AmountAndCurrencyExchange2`
`amtDtls`
`protected List<CashBalanceAvailability1>`
`avlbty`
`protected BankTransactionCodeStructure1`
`bkTxCd`
`protected DateAndDateTimeChoice`
`bookgDt`
`protected List<BatchInformation1>`
`btch`
`protected CreditDebitCode`
`cdtDbtInd`
`protected List<ChargesInformation3>`
`chrgs`
`protected Boolean`
`comssnWvrInd`
`protected List<TransactionInterest1>`
`intrst`
`protected Boolean`
`rvslInd`
`protected EntryStatus2Code`
`sts`
`protected List<EntryTransaction1>`
`txDtls`
`protected DateAndDateTimeChoice`
`valDt`

## Constructor Summary

Constructors
Constructor
Description
`ReportEntry1()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAcctSvcrRef()`
Gets the value of the acctSvcrRef property.
`MessageIdentification2`
`getAddtlInfInd()`
Gets the value of the addtlInfInd property.
`String`
`getAddtlNtryInf()`
Gets the value of the addtlNtryInf property.
`CurrencyAndAmount`
`getAmt()`
Gets the value of the amt property.
`AmountAndCurrencyExchange2`
`getAmtDtls()`
Gets the value of the amtDtls property.
`List<CashBalanceAvailability1>`
`getAvlbty()`
Gets the value of the avlbty property.
`BankTransactionCodeStructure1`
`getBkTxCd()`
Gets the value of the bkTxCd property.
`DateAndDateTimeChoice`
`getBookgDt()`
Gets the value of the bookgDt property.
`List<BatchInformation1>`
`getBtch()`
Gets the value of the btch property.
`CreditDebitCode`
`getCdtDbtInd()`
Gets the value of the cdtDbtInd property.
`List<ChargesInformation3>`
`getChrgs()`
Gets the value of the chrgs property.
`List<TransactionInterest1>`
`getIntrst()`
Gets the value of the intrst property.
`EntryStatus2Code`
`getSts()`
Gets the value of the sts property.
`List<EntryTransaction1>`
`getTxDtls()`
Gets the value of the txDtls property.
`DateAndDateTimeChoice`
`getValDt()`
Gets the value of the valDt property.
`Boolean`
`isComssnWvrInd()`
Gets the value of the comssnWvrInd property.
`Boolean`
`isRvslInd()`
Gets the value of the rvslInd property.
`void`
`setAcctSvcrRef(String value)`
Sets the value of the acctSvcrRef property.
`void`
`setAddtlInfInd(MessageIdentification2 value)`
Sets the value of the addtlInfInd property.
`void`
`setAddtlNtryInf(String value)`
Sets the value of the addtlNtryInf property.
`void`
`setAmt(CurrencyAndAmount value)`
Sets the value of the amt property.
`void`
`setAmtDtls(AmountAndCurrencyExchange2 value)`
Sets the value of the amtDtls property.
`void`
`setBkTxCd(BankTransactionCodeStructure1 value)`
Sets the value of the bkTxCd property.
`void`
`setBookgDt(DateAndDateTimeChoice value)`
Sets the value of the bookgDt property.
`void`
`setCdtDbtInd(CreditDebitCode value)`
Sets the value of the cdtDbtInd property.
`void`
`setComssnWvrInd(Boolean value)`
Sets the value of the comssnWvrInd property.
`void`
`setRvslInd(Boolean value)`
Sets the value of the rvslInd property.
`void`
`setSts(EntryStatus2Code value)`
Sets the value of the sts property.
`void`
`setValDt(DateAndDateTimeChoice value)`
Sets the value of the valDt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### amt

protected CurrencyAndAmount amt

### cdtDbtInd

protected CreditDebitCode cdtDbtInd

### rvslInd

protected Boolean rvslInd

### sts

protected EntryStatus2Code sts

### bookgDt

protected DateAndDateTimeChoice bookgDt

### valDt

protected DateAndDateTimeChoice valDt

### acctSvcrRef

protected String acctSvcrRef

### avlbty

protected List<CashBalanceAvailability1> avlbty

### bkTxCd

protected BankTransactionCodeStructure1 bkTxCd

### comssnWvrInd

protected Boolean comssnWvrInd

### addtlInfInd

protected MessageIdentification2 addtlInfInd

### btch

protected List<BatchInformation1> btch

### amtDtls

protected AmountAndCurrencyExchange2 amtDtls

### chrgs

protected List<ChargesInformation3> chrgs

### intrst

protected List<TransactionInterest1> intrst

### txDtls

protected List<EntryTransaction1> txDtls

### addtlNtryInf

protected String addtlNtryInf

## Constructor Details

### ReportEntry1

public ReportEntry1()

## Method Details

### getAmt

public CurrencyAndAmount getAmt()
Gets the value of the amt property.

Returns:
  possible object is `CurrencyAndAmount`

### setAmt

public void setAmt(CurrencyAndAmount value)
Sets the value of the amt property.

Parameters:
  `value` - allowed object is `CurrencyAndAmount`

### getCdtDbtInd

public CreditDebitCode getCdtDbtInd()
Gets the value of the cdtDbtInd property.

Returns:
  possible object is `CreditDebitCode`

### setCdtDbtInd

public void setCdtDbtInd(CreditDebitCode value)
Sets the value of the cdtDbtInd property.

Parameters:
  `value` - allowed object is `CreditDebitCode`

### isRvslInd

public Boolean isRvslInd()
Gets the value of the rvslInd property.

Returns:
  possible object is `Boolean`

### setRvslInd

public void setRvslInd(Boolean value)
Sets the value of the rvslInd property.

Parameters:
  `value` - allowed object is `Boolean`

### getSts

public EntryStatus2Code getSts()
Gets the value of the sts property.

Returns:
  possible object is `EntryStatus2Code`

### setSts

public void setSts(EntryStatus2Code value)
Sets the value of the sts property.

Parameters:
  `value` - allowed object is `EntryStatus2Code`

### getBookgDt

public DateAndDateTimeChoice getBookgDt()
Gets the value of the bookgDt property.

Returns:
  possible object is `DateAndDateTimeChoice`

### setBookgDt

public void setBookgDt(DateAndDateTimeChoice value)
Sets the value of the bookgDt property.

Parameters:
  `value` - allowed object is `DateAndDateTimeChoice`

### getValDt

public DateAndDateTimeChoice getValDt()
Gets the value of the valDt property.

Returns:
  possible object is `DateAndDateTimeChoice`

### setValDt

public void setValDt(DateAndDateTimeChoice value)
Sets the value of the valDt property.

Parameters:
  `value` - allowed object is `DateAndDateTimeChoice`

### getAcctSvcrRef

public String getAcctSvcrRef()
Gets the value of the acctSvcrRef property.

Returns:
  possible object is `String`

### setAcctSvcrRef

public void setAcctSvcrRef(String value)
Sets the value of the acctSvcrRef property.

Parameters:
  `value` - allowed object is `String`

### getAvlbty

public List<CashBalanceAvailability1> getAvlbty()
Gets the value of the avlbty property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the avlbty property.

For example, to add a new item, do as follows:

        getAvlbty().add(newItem);

Objects of the following type(s) are allowed in the list `CashBalanceAvailability1`

### getBkTxCd

public BankTransactionCodeStructure1 getBkTxCd()
Gets the value of the bkTxCd property.

Returns:
  possible object is `BankTransactionCodeStructure1`

### setBkTxCd

public void setBkTxCd(BankTransactionCodeStructure1 value)
Sets the value of the bkTxCd property.

Parameters:
  `value` - allowed object is `BankTransactionCodeStructure1`

### isComssnWvrInd

public Boolean isComssnWvrInd()
Gets the value of the comssnWvrInd property.

Returns:
  possible object is `Boolean`

### setComssnWvrInd

public void setComssnWvrInd(Boolean value)
Sets the value of the comssnWvrInd property.

Parameters:
  `value` - allowed object is `Boolean`

### getAddtlInfInd

public MessageIdentification2 getAddtlInfInd()
Gets the value of the addtlInfInd property.

Returns:
  possible object is `MessageIdentification2`

### setAddtlInfInd

public void setAddtlInfInd(MessageIdentification2 value)
Sets the value of the addtlInfInd property.

Parameters:
  `value` - allowed object is `MessageIdentification2`

### getBtch

public List<BatchInformation1> getBtch()
Gets the value of the btch property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the btch property.

For example, to add a new item, do as follows:

        getBtch().add(newItem);

Objects of the following type(s) are allowed in the list `BatchInformation1`

### getAmtDtls

public AmountAndCurrencyExchange2 getAmtDtls()
Gets the value of the amtDtls property.

Returns:
  possible object is `AmountAndCurrencyExchange2`

### setAmtDtls

public void setAmtDtls(AmountAndCurrencyExchange2 value)
Sets the value of the amtDtls property.

Parameters:
  `value` - allowed object is `AmountAndCurrencyExchange2`

### getChrgs

public List<ChargesInformation3> getChrgs()
Gets the value of the chrgs property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the chrgs property.

For example, to add a new item, do as follows:

        getChrgs().add(newItem);

Objects of the following type(s) are allowed in the list `ChargesInformation3`

### getIntrst

public List<TransactionInterest1> getIntrst()
Gets the value of the intrst property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the intrst property.

For example, to add a new item, do as follows:

        getIntrst().add(newItem);

Objects of the following type(s) are allowed in the list `TransactionInterest1`

### getTxDtls

public List<EntryTransaction1> getTxDtls()
Gets the value of the txDtls property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the txDtls property.

For example, to add a new item, do as follows:

        getTxDtls().add(newItem);

Objects of the following type(s) are allowed in the list `EntryTransaction1`

### getAddtlNtryInf

public String getAddtlNtryInf()
Gets the value of the addtlNtryInf property.

Returns:
  possible object is `String`

### setAddtlNtryInf

public void setAddtlNtryInf(String value)
Sets the value of the addtlNtryInf property.

Parameters:
  `value` - allowed object is `String`